Loading...
Searching...
No Matches
DBusGreeterList Class Reference

`#include <plugins/LightDM/DBusGreeterList.h>`

## Signals

Q_SCRIPTABLE void | EntrySelected (const QString &entry)
void | entryIsLockedChanged ()

## Public Member Functions

| DBusGreeterList (Greeter *greeter, const QString &path)
Q_SCRIPTABLE void | SetActiveEntry (const QString &entry)
Q_SCRIPTABLE QString | GetActiveEntry () const
bool | entryIsLocked () const

## Properties

QString | ActiveEntry
bool | EntryIsLocked

## Detailed Description

This is an internal class used to talk with the indicators.

Definition at line 28 of file DBusGreeterList.h.

## Constructor & Destructor Documentation

## DBusGreeterList()

DBusGreeterList::DBusGreeterList | ( | Greeter * | greeter,
|  | const QString & | path )

explicit

Definition at line 23 of file DBusGreeterList.cpp.

: LomiriDBusObject(path, QStringLiteral("com.lomiri.LomiriGreeter"), true, greeter),
m_greeter(greeter)
{
connect(m_greeter, &Greeter::authenticationUserChanged, this, &DBusGreeterList::authenticationUserChangedHandler);
connect(m_greeter, &Greeter::promptlessChanged, this, &DBusGreeterList::promptlessChangedHandler);
}

## Member Function Documentation

## entryIsLocked()

bool DBusGreeterList::entryIsLocked | ( |  | ) | const

Definition at line 41 of file DBusGreeterList.cpp.

{
return !m_greeter->promptless();
}

## GetActiveEntry()

QString DBusGreeterList::GetActiveEntry | ( |  | ) | const

Definition at line 31 of file DBusGreeterList.cpp.

{
return m_greeter->authenticationUser();
}

## SetActiveEntry()

void DBusGreeterList::SetActiveEntry | ( | const QString & | entry | ) |

Definition at line 36 of file DBusGreeterList.cpp.

{
Q_EMIT m_greeter->requestAuthenticationUser(entry);
}

## Property Documentation

## ActiveEntry

QString DBusGreeterList::ActiveEntry

read write

Definition at line 33 of file DBusGreeterList.h.

## EntryIsLocked

bool DBusGreeterList::EntryIsLocked

read

Definition at line 34 of file DBusGreeterList.h.

The documentation for this class was generated from the following files:

- plugins/LightDM/DBusGreeterList.h
- plugins/LightDM/DBusGreeterList.cpp